package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ImageUploadLog;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ImageUploadLogMapper")
public interface ImageUploadLogMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ImageUploadLog record);

    ImageUploadLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ImageUploadLog record);

    List<ImageUploadLog> queryAllImageUploadLog(ImageUploadLog record);

    List<ImageUploadLog> queryImageUploadLogByPage(Map<String, Object> parameter);

    int delete(String id);

    ImageUploadLog queryImageUploadLog(ImageUploadLog record);

    List<ImageUploadLog> query(ImageUploadLog record);

    List<ImageUploadLog> queryDelOssImage(Map<String,Object> parameter);
}

